using System.Collections;
using System;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.InputSystem;


namespace BigSock.Item {

	/*
		A class that represents an item that an effect when a condition is meet.
	*/
	public abstract class ConditionalItemBase : ItemBase {

		public static readonly System.Random RND = new System.Random();

		/*
			The type of trigger this item uses.
		*/
		public abstract TriggerType Trigger { get; }

		/*
			The handler to activate when the condition is triggered.
		*/
		//public Action<ICharEventParams> Handler { get; set; }

	}
} 