using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Tilemaps;
using static System.Net.WebRequestMethods;


namespace BigSock
{
    public class FollowPlayer : MonoBehaviour
    {
        public GameObject player;
        public GameObject leftSide;
        public GameObject rightSide;
        public GameObject topSide;
        public GameObject bottomSide;

        Vector3 offset = new Vector3(0, 0, -10);

        void Start()
        {

        }

        void LateUpdate()
        {
            if(player.transform.position.x <= leftSide.transform.position.x && player.transform.position.y >= topSide.transform.position.y)
            {
                transform.position = new Vector3(leftSide.transform.position.x, topSide.transform.position.y, offset.z);
            }
            else if (player.transform.position.x >= rightSide.transform.position.x && player.transform.position.y >= topSide.transform.position.y)
            {
                transform.position = new Vector3(rightSide.transform.position.x, topSide.transform.position.y, offset.z);
            }
            else if(player.transform.position.x <= leftSide.transform.position.x && player.transform.position.y <= bottomSide.transform.position.y)
            {
                transform.position = new Vector3(leftSide.transform.position.x, bottomSide.transform.position.y, offset.z);
            }
            else if (player.transform.position.x >= rightSide.transform.position.x && player.transform.position.y <= bottomSide.transform.position.y)
            {
                transform.position = new Vector3(rightSide.transform.position.x, bottomSide.transform.position.y, offset.z);
            }


            else if (player.transform.position.x <= leftSide.transform.position.x )
            {
                transform.position = new Vector3(leftSide.transform.position.x, player.transform.position.y,offset.z);
            }
            else if (player.transform.position.x >= rightSide.transform.position.x)
            {
                transform.position = new Vector3(rightSide.transform.position.x, player.transform.position.y,offset.z);
            }
            else if (player.transform.position.y <= bottomSide.transform.position.y)
            {
                transform.position = new Vector3(player.transform.position.x, bottomSide.transform.position.y, offset.z);
            }
            else if (player.transform.position.y >= topSide.transform.position.y)
            {
                transform.position = new Vector3(player.transform.position.x, topSide.transform.position.y, offset.z);
            }
            else
            {
                transform.position = player.transform.position + offset;
            }


            //transform.position = player.transform.position + offset;
        }
    }
}
