using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Chest : MonoBehaviour, IInteractable
{
    [SerializeField] private string _prompt;
    [SerializeField] private Animator animator;
    [SerializeField] private string goldenChestOpen = "OpeningGoldChest";
    [SerializeField] private string idleGoldChest = "Idle";

    public SpriteRenderer spriteRenderer;
    public Sprite newSprite;

    void Start() {
        animator = gameObject.GetComponent<Animator>();
    }

    public string InteractionPrompt => _prompt;

    public bool Interact(Interactor interactor) {
        Debug.Log("Opening chest!");
        GetComponent<Animator>().Play(goldenChestOpen);
        spriteRenderer.sprite = newSprite;
        //animator.Play(idleGoldChest, -1, 0.0f);
        return true;
    }
    
}
