using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Door : MonoBehaviour, IInteractable
{
    [SerializeField] private string _prompt;
    public SpriteRenderer spriteRenderer;
    public Sprite newSprite;

    public string InteractionPrompt => _prompt;

    public bool Interact(Interactor interactor) {
        Debug.Log("Opening door!");
        spriteRenderer.sprite = newSprite;
        return true;
    }
}
