using System.Collections;
using System;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.InputSystem;


namespace BigSock.Item {

	/*
		A class that represents the root of all items.
	*/
	public abstract class ItemBase : IItem {
		/*
			The name of the item.
		*/
		public abstract string Name { get; }

		/*
			The description of the item.
		*/
		public abstract string Description { get; }

		/*
			The id of the item.
		*/
		public abstract ulong Id { get; }

	}
}